﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class VihollistenLuoja : MonoBehaviour {

    public Transform[] syntymiskohdat;
    public GameObject[] vihollistenPrefabit;
    float viimeksiLuodunAjankohta;

    float väliaika;

    void Start()
    {
        väliaika = 3f;
        InvokeRepeating("Nopeuta", 15f, 15f);
    }

    void Nopeuta()
    {
        print("Pienennetään väliaikaa");
        väliaika -= 0.1f;
        if (väliaika < 1f)
        {
            väliaika = 1f;
            print("Minimiväliaika saavutettu");
            CancelInvoke("Nopeuta");
        }
    }

    void Update () {
        if (Time.time - viimeksiLuodunAjankohta > väliaika)
        {
            LuoUusiVihollinen();
        }
	}

    void LuoUusiVihollinen()
    {
        Transform kohta = syntymiskohdat[Random.Range(0, syntymiskohdat.Length)];
        GameObject vihollinen = vihollistenPrefabit[Random.Range(0, vihollistenPrefabit.Length)];
        Instantiate(vihollinen, kohta.position, kohta.rotation);
        viimeksiLuodunAjankohta = Time.time;
    }

}
